Bug 244476 - archivers/libarchive: Update to 3.4.2
Summary: archivers/libarchive: Update to 3.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-27 18:25 UTC by Yasuhiro KIMURA
Modified: 2020-04-09 08:43 UTC (History)
0 users

See Also:
glewis: maintainer-feedback+
yasu: merge-quarterly?


Attachments
Patch file (941 bytes, patch)
2020-02-27 18:25 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2020-02-27 18:25:51 UTC
Created attachment 211998 [details]
Patch file

Update to 3.4.2.

Security: CVE-2020-9308

Bug #244474 documents vulnerability fixed with this version. So please commit it together.
Comment 1 commit-hook freebsd_committer 2020-03-01 20:15:11 UTC
A commit references this bug:

Author: glewis
Date: Sun Mar  1 20:14:07 UTC 2020
New revision: 527600
URL: https://svnweb.freebsd.org/changeset/ports/527600

Log:
  Update to 3.4.2

  PR:		244476
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Changes:
  head/archivers/libarchive/Makefile
  head/archivers/libarchive/distinfo
Comment 2 Greg Lewis freebsd_committer 2020-03-01 20:21:16 UTC
I'm not on ports-secteam, so I just committed this update.  Thanks.